Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1198702 - If EAP deployment is updated outside of JBoss ON, subdeployments are marked unavailable in ON
Summary: If EAP deployment is updated outside of JBoss ON, subdeployments are marked u...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: Plugin -- JBoss EAP 6
Version: JON 3.3.0
Hardware: All
OS: All
medium
medium
Target Milestone: ---
: One-off release
Assignee: Thomas Segismont
QA Contact: Mike Foley
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-04 16:37 UTC by dsteigne
Modified: 2019-07-11 08:44 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-01-15 21:00:52 UTC
Type: Support Patch


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 1369923 0 None None None Never

Description dsteigne 2015-03-04 16:37:23 UTC
Description of problem:
If EAP deployment is updated outside of JBoss ON, subdeployments are marked unavailable in ON

Version-Release number of selected component (if applicable):
3.3

How reproducible:


Steps to Reproduce:
1.  Basically when I have a ear to deploy, let's say "abc-1.0.0.ear". I log into the JBoss Domain Console and upload the EAR into the Jboss Content Repo, then assign/deploy the EAR to a server group/JVM.

Note: Jon picks up this EAR deployment and SubDeployments fine.

2. Now when I have a new version to deploy, let's say "abc-1.2.0.ear". I log into the JBoss Domain Console and unassign to old EAR from the server group, then I upload the new EAR into the Jboss Content Repo, then assign/deploy the EAR to a server group/JVM. Then I remove the old EAR from the JBoss Content Repo.


Actual results:
Note: Jon picks up this NEW EAR deployment, but seems to have trouble with the SubDeployments and thinks they are unavailable, maybe still referencing the old version?  You have to uninventory the entire EAR and have the agent discovery it again for all subdeployments to become available again.

Expected results:
JBoss ON would pick up the new subdeployments

Additional info:

Comment 1 Thomas Segismont 2015-03-04 16:55:30 UTC
Jay, does that ring a bell? (regarding versioned deployments)

Comment 2 Jay Shaughnessy 2015-03-04 18:11:24 UTC
With the versioned deployments we should see an abc.ear resource with version 1.0.0.  And then later, the same resource with version 1.2.0.  The subdeployments should be the same way, resources with stripped names and versioning based on the subdeployment archive versions.  After the redeploy the version for each subdeployment should have been updated, if necessary.  If the subdeployments are not going green it would indicate the the path's are incorrect (in the plugin config).  Of course that should not be the case.

Have we reproduced?

Comment 3 dsteigne 2015-03-04 18:43:00 UTC
Jay, no I haven't replicated this locally.  He is not deploying the new version via JBoss ON (that works) but via the EAP Admin Console.

Comment 5 Larry O'Leary 2016-01-15 21:00:52 UTC
As there is no documented reproducer attached to this report and it is unclear how the sub-deployments changed from the previous version, this issue is being closed.

If you are still experiencing this issue, please provide a complete test/use case that can be used to reproduce the issue. This should include:
 - version 1 of sample application;
 - steps used to deploy sample application version 1;
 - version 2 of sample application;
 - steps used to deploy sample application version 2;
 - expected results;
 - actual results;
 - any other information that is necessary to reproduce this in an isolated lab instance;


Note You need to log in before you can comment on or make changes to this bug.